StarPU Handbook

Macros | Functions | Variables
starpu_helper.h File Reference
`#include <stdio.h>`
`#include <starpu.h>`
`#include <hwloc.h>`

Go to the source code of this file.

## Macros
#define | STARPU_MIN(a, b)
#define | STARPU_MAX(a, b)
#define | STARPU_POISON_PTR

## Functions
char * | starpu_getenv (const char *str)
int | starpu_get_env_string_var_default (const char *str, const char *strings[], int defvalue)
int | starpu_get_env_size_default (const char *str, int defval)
static __starpu_inline int | starpu_get_env_number (const char *str)
static __starpu_inline int | starpu_get_env_number_default (const char *str, int defval)
static __starpu_inline float | starpu_get_env_float_default (const char *str, float defval)
void | starpu_execute_on_each_worker (void(*func)(void *), void *arg, uint32_t where)
void | starpu_execute_on_each_worker_ex (void(*func)(void *), void *arg, uint32_t where, const char *name)
void | starpu_execute_on_specific_workers (void(*func)(void *), void *arg, unsigned num_workers, unsigned *workers, const char *name)
double | starpu_timing_now (void)
int | starpu_data_cpy (starpu_data_handle_t dst_handle, starpu_data_handle_t src_handle, int asynchronous, void(*callback_func)(void *), void *callback_arg)
void | starpu_display_bindings (void)
int | starpu_get_pu_os_index (unsigned logical_index)
hwloc_topology_t | starpu_get_hwloc_topology (void)

## Variables
int | _starpu_silent